Loading...
Searching...
No Matches
Exiv2::Slice< T * > Struct Template Reference

`#include <slice.hpp>`

Inheritance diagram for Exiv2::Slice< T * >:
[legend]

## Public Member Functions

| Slice (T *ptr, size_t begin, size_t end)
Slice< T * > | subSlice (size_t begin, size_t end)
Slice< const T * > | subSlice (size_t begin, size_t end) const
Public Member Functions inherited from Exiv2::Internal::MutableSliceBase< Internal::PtrSliceStorage, T * >
| MutableSliceBase (T * &data, size_t begin, size_t end)
value_type & | at (size_t index)
const value_type & | at (size_t index) const
iterator | begin () throw ()
iterator | end () throw ()
Public Member Functions inherited from Exiv2::Internal::ConstSliceBase< storage_type, data_type >
| ConstSliceBase (data_type &data, size_t begin, size_t end)
const value_type & | at (size_t index) const
const_iterator | cbegin () const throw ()
const_iterator | cend () const throw ()
template<typename slice_type >
slice_type | subSlice (size_t begin, size_t end) const
Public Member Functions inherited from Exiv2::Internal::SliceBase
| SliceBase (size_t begin, size_t end)
size_t | size () const throw ()

## Additional Inherited Members

Public Types inherited from Exiv2::Internal::MutableSliceBase< Internal::PtrSliceStorage, T * >
typedef ConstSliceBase< Internal::PtrSliceStorage, T * >::iterator | iterator
typedef ConstSliceBase< Internal::PtrSliceStorage, T * >::const_iterator | const_iterator
typedef ConstSliceBase< Internal::PtrSliceStorage, T * >::value_type | value_type
Public Types inherited from Exiv2::Internal::ConstSliceBase< storage_type, data_type >
typedef storage_type< data_type >::iterator | iterator
typedef storage_type< data_type >::const_iterator | const_iterator
typedef storage_type< data_type >::value_type | value_type
Protected Types inherited from Exiv2::Internal::MutableSliceBase< Internal::PtrSliceStorage, T * >
typedef ConstSliceBase< Internal::PtrSliceStorage, T * > | base_type
Protected Member Functions inherited from Exiv2::Internal::MutableSliceBase< Internal::PtrSliceStorage, T * >
ConstSliceBase< Internal::PtrSliceStorage, const T * > | to_const_base () const throw ()
slice_type | subSlice (size_t begin, size_t end)
Protected Member Functions inherited from Exiv2::Internal::SliceBase
void | rangeCheck (size_t index) const
Protected Attributes inherited from Exiv2::Internal::ConstSliceBase< storage_type, data_type >
storage_type< data_type > | storage_
Protected Attributes inherited from Exiv2::Internal::SliceBase
const size_t | begin_
const size_t | end_

## Detailed Description

template<typename T>
struct Exiv2::Slice< T * >

Specialization of slices for (mutable) C-arrays.

The documentation for this struct was generated from the following file:

- slice.hpp